package com.blazinggames.ootw.ep32
{
	// Adobe Imports
	import flash.display.Graphics;
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	
	public class CharacterSelector
	extends MovieClip
	{
// *********************
// ***** CONSTANTS *****
// *********************

// *********************
// ***** VARIABLES *****
// *********************

		private var _currentChar:int;
		private var _forest:Forest;

// ***********************
// ***** CONSTRUCTOR *****
// ***********************

		public function CharacterSelector()
		{
			_forest = null;
			_currentChar = 0;
			_charHighlight_movie.x = 0;
			addEventListener(flash.events.MouseEvent.MOUSE_UP,handleMouse);
		}

// **************************
// ***** Event handlers *****
// **************************

		function handleMouse(evt:MouseEvent)
		{
			var choice:int = (evt.stageX - this.x) / 40;
			
			if ((choice >= 0) && (choice < 3))
				setCurrentCharacter(choice);
			else
				trace ("character selector click at " + evt.localX);
		}
		

// *******************************
// ***** Getting and Setting *****
// *******************************

		public function setForest(forest:Forest)
		{
			_forest = forest;
		}

		public function setCurrentCharacter(n:int)
		{
			_currentChar = n;
			if (_forest != null)
				_forest.setCurrentCharacter(n);
			_charHighlight_movie.x = n * 40;
		}

		public function setPlayerSex(n:int)
		{
			_player_movie.setSex(n);
		}
	} // END CLASS
} // END PACKAGE
