package com.blazinggames.ootw.ep32
{
	// Adobe Imports
	import flash.display.Graphics;
	import flash.display.MovieClip;

	public class Player
	extends MovieClip
	implements IBillboard
	{
// *********************
// ***** CONSTANTS *****
// *********************

	public const SEX_FEMALE = 0;
	public const SEX_MALE = 1;

// *********************
// ***** VARIABLES *****
// *********************

		public var billboardData:BillboardData;
		private var _sex:int = 1;

// ***********************
// ***** CONSTRUCTOR *****
// ***********************

		public function Player(nx:int = 0, ny:int = 0)
		{
			billboardData = new BillboardData();
			billboardData.setMapLocation(nx, ny);
			billboardData.setNearSize(300,600);
		}

// ******************************************
// ***** Function - Getters and Setters *****
// ******************************************

		public function getBillboardData():BillboardData
		{
			return billboardData;
		}

		public function getSex()
		{
			return _sex;
		}
		
		public function setSex(sex:int)
		{
			_sex = sex;
			if (sex == 0)
				gotoAndPlay("Female");
			else
				gotoAndPlay("Male");
		}
	} // end class
} // end package

